<?php
$arg1 = M_E; // liczba Eulera 2.7182818284590452354
$log = log($arg1); // logarytm naturalny
 
$arg2 = 45;
$log10 = log10($arg2); // logarytm dziesiętny
 
$x = -85;
$abs = abs($x); // wartość bezwzględna
 
printf("Logarytm naturalny z liczby %.2f wynosi %.2f".PHP_EOL, $arg1, $log);
printf("Logarytm dziesiętny z liczby %.2f wynosi %.2f".PHP_EOL, $arg2, $log10);
printf("Wartość bezwzględna z liczby %.2f wynosi %.2f".PHP_EOL, $x, $abs);